package org.zeroturnaround.javarebel.integration.tapestry4;

import org.zeroturnaround.javarebel.ClassResourceSource;

import org.zeroturnaround.javarebel.IntegrationFactory;
import org.zeroturnaround.javarebel.Plugin;


public class Tapestry4Plugin implements Plugin {
	public void preinit() {
		ClassLoader cl = Tapestry4Plugin.class.getClassLoader();

		/*
		 * Refreshes listeners on unsuccessful lookup
		 */
		IntegrationFactory.getInstance().addIntegrationProcessor(cl, new String[] {
				"org.apache.tapestry.listener.ListenerMapImpl" },
				new Tapestry4ListenerMapImplBCP());
	}

  public boolean checkDependencies(ClassLoader cl, ClassResourceSource crs) {
    return crs.getClassResource("org.apache.tapestry.listener.ListenerMapImpl") != null;
  }

  public String getDescription() {
    return "Supports adding, changing and deleting Tapestry listeners without container restarts.";
  }

  public String getId() {
    return "tapestry4_plugin";
  }

  public String getName() {
    return "Tapestry 4 Plugin";
  }

  public String getAuthor() {
    return null;
  }

  public String getWebsite() {
    return null;
  }	
}
